org.apache.jmeter.protocol.http.sampler

## Class HTTPFileImpl

- java.lang.Object
- - org.apache.jmeter.protocol.http.sampler.HTTPAbstractImpl
  - - org.apache.jmeter.protocol.http.sampler.HTTPFileImpl

- All Implemented Interfaces:
    HTTPConstantsInterface, Interruptible

      public class HTTPFileImpl
      extends HTTPAbstractImpl

  HTTP Sampler which can read from file: URLs

- - ### Field Summary

    - ### Fields inherited from class org.apache.jmeter.protocol.http.sampler.HTTPAbstractImpl

      `ADD_CONTENT_TYPE_TO_POST_IF_MISSING, ALL_EXCEPT_COOKIE, ONLY_COOKIE, testElement`

    - ### Fields inherited from interface org.apache.jmeter.protocol.http.util.HTTPConstantsInterface

      `APPLICATION_X_WWW_FORM_URLENCODED, CACHE_CONTROL, CONNECT, CONNECTION_CLOSE, COPY, DATE, DEFAULT_HTTP_PORT, DEFAULT_HTTP_PORT_STRING, DEFAULT_HTTPS_PORT, DEFAULT_HTTPS_PORT_STRING, DELETE, ENCODING_BROTLI, ENCODING_DEFLATE, ENCODING_GZIP, ETAG, EXPIRES, GET, HEAD, HEADER_AUTHORIZATION, HEADER_CONNECTION, HEADER_CONTENT_DISPOSITION, HEADER_CONTENT_ENCODING, HEADER_CONTENT_LENGTH, HEADER_CONTENT_TYPE, HEADER_COOKIE, HEADER_COOKIE_IN_REQUEST, HEADER_HOST, HEADER_LOCAL_ADDRESS, HEADER_LOCATION, HEADER_SET_COOKIE, HTTP_1_1, IF_MODIFIED_SINCE, IF_NONE_MATCH, KEEP_ALIVE, LAST_MODIFIED, LOCK, MKCALENDAR, MKCOL, MOVE, MULTIPART_FORM_DATA, OPTIONS, PATCH, POST, PROPFIND, PROPPATCH, PROTOCOL_HTTP, PROTOCOL_HTTPS, PUT, REPORT, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_SEE_OTHER, SC_TEMPORARY_REDIRECT, SEARCH, TRACE, TRANSFER_ENCODING, UNLOCK, VARY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HTTPFileImpl(HTTPSamplerBase base)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `interrupt()` Interrupt the current operation if possible.
    `protected HTTPSampleResult` | `sample(java.net.URL url, java.lang.String method, boolean areFollowingRedirect, int frameDepth)`

    - ### Methods inherited from class org.apache.jmeter.protocol.http.sampler.HTTPAbstractImpl

      `errorResult, getArguments, getAuthManager, getAutoRedirects, getCacheManager, getConnectTimeout, getContentEncoding, getCookieManager, getDoBrowserCompatibleMultipart, getHeaderManager, getHTTPFiles, getIpSource, getIpSourceAddress, getProxyHost, getProxyPass, getProxyPortInt, getProxyScheme, getProxyUser, getResponseTimeout, getSendFileAsPostBody, getSendParameterValuesAsPostBody, getUseKeepAlive, getUseMultipart, getUseMultipartForPost, hasArguments, isMonitor, isSuccessCode, notifyFirstSampleAfterLoopRestart, notifySSLContextWasReset, readResponse, readResponse, readResponse, readResponse, resultProcessing, setUseKeepAlive, threadFinished, updateSampleResultForResourceInCache`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HTTPFileImpl

          protected HTTPFileImpl(HTTPSamplerBase base)

  - ### Method Detail

    - #### interrupt

          public boolean interrupt()

      Description copied from interface: `Interruptible`
      Interrupt the current operation if possible.
      Returns:
        `true` if there was an operation to interrupt.

    - #### sample

          protected HTTPSampleResult sample(java.net.URL url,
                                            java.lang.String method,
                                            boolean areFollowingRedirect,
                                            int frameDepth)

      Specified by:
        `sample` in class `HTTPAbstractImpl`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.